Package org.jfree.report.util

# Class LazyNameMap.NameCarrier

java.lang.Object
org.jfree.report.util.LazyNameMap.NameCarrier

Enclosing class:
  `LazyNameMap`

public static class LazyNameMap.NameCarrier extends Object

## Constructor Summary

Constructors
Constructor
Description
`NameCarrier(int value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decrease()`
`int`
`getInstanceCount()`
`int`
`getValue()`
`void`
`increase()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameCarrier

public NameCarrier(int value)

## Method Details

### getValue

public int getValue()

### getInstanceCount

public int getInstanceCount()

### increase

public void increase()

### decrease

public void decrease()